%global momorel 2

Summary: ccache - a fast compiler cache
Name: ccache
Version: 3.0.1
Release: %{momorel}m%{?dist}
License: GPL
Url: http://ccache.samba.org/
Group: Development/Languages
Source0: http://samba.org/ftp/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
Source1: update-ccache.sh.in

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libtool
BuildRequires: sed

%description
ccache is a compiler cache. It speeds up re-compilation of
C/C++ code by caching previous compiles and detecting when
the same compile is being done again.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall
%__mkdir_p %{buildroot}%{_libexecdir}/ccache
install -p -D -m0755 %{SOURCE1} %{buildroot}%{_sbindir}/update-ccache.sh
sed --in-place \
    -e 's,@@_libexecdir@@,%{_libexecdir},g' \
    -e 's,@@_bindir@@,%{_bindir},g' \
    %{buildroot}%{_sbindir}/update-ccache.sh

%post
if [ -x %{_sbindir}/update-ccache.sh ]; then
   %{_sbindir}/update-ccache.sh
fi

%preun
if [ $1 = 0 ]; then
   # delete symbolic links generated by update-ccache.sh
   for x in %{_libexecdir}/ccache/*; do
       [ -L $x ] && rm $x ||:
   done
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/ccache
%dir %{_libexecdir}/ccache
%{_mandir}/man1/ccache.1*
%doc COPYING README.txt
%{_sbindir}/update-ccache.sh

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.1-2m)
- full rebuild for mo7 release

* Mon Aug  9 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.0.1-1m)
- update 3.0.1

* Fri Jun 25 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.0-1m)
- update 3.0 release

* Sun May 16 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.0pre1-1m)
- update 3.0pre1

* Tue May  4 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.0pre0-1m)
- update 3.0pre0

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4-15m)
- use BuildRequires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4-14m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug  3 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.4-13m)
- add debian patches(Patch100-)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4-12m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4-11m)
- rebuild against gcc43

* Tue Feb 19 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.4-10m)
- add update-ccache.sh to fix symbolic link issue in %%{_libexecdir}/ccache/

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4-9m)
- %%NoSource -> NoSource

* Thu Feb  7 2008 Yohsuke Ooi <ichiro@n.email.ne.jp>
- (2.4-8m)
- add ccache-2.4-coverage-231462.patch
-- better support Profiled-Optimize

* Sat Jun 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4-7m)
- hi, gcc3.4

* Thu May 24 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4-6m)
- Change Source URL

* Tue Mar 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4-5m)
- import ccache-zlib patch

* Fri Jun  9 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4-4m)
- good-bye, gcc4

* Wed Jun 22 2005 Kazuhiko <kazuhiko@fdiary.net>
- (2.4-3m)
- add gcc4
- remove gcc2.95.3 and gcc2.96

* Thu Nov 11 2004 TAKAHASHI Tamotsu <tamo>
- (2.4-2m)
- add symlinks: gcc_3_2 and g++_3_2

* Tue Sep 14 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.4-1m)
- minor feature enhancements

* Mon Sep 29 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.3-1m)
- minor feature enhancements

* Sun Jul  6 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.2-3m)
- rebuild against rpm-4.0.4-52m

* Fri May  9 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.2-2m)
- move symlinks to '/usr/libexec/ccache'

* Mon Feb 17 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2-1m)
  update to 2.2

* Sun Jan 12 2003 Junichiro Kita <kita@momonga-linux.org>
- (2.1.1-1m)
- ver up.

* Wed Jan  8 2003 Junichiro Kita <kita@momonga-linux.org>
- (2.1-1m)
- ver up.

* Tue Jan  7 2003 Junichiro Kita <kita@momonga-linux.org>
- (2.0-2m)
- apply patch

* Tue Jan  7 2003 Junichiro Kita <kita@momonga-linux.org>
- (2.0-1m)
- ver up.

* Mon Nov 11 2002 TAKAHASHI Tamotsu <ttakah@lapis.plala.or.jp>
- (1.9-10m)
- added gcc_2_96 and g++_2_96

* Sun Oct 13 2002 Kenta MURATA <muraken2@nifty.com>
- (1.9-9m)
- %%{_arch}-redhat-linux-* -> %%{_target_cpu}-%%{_vendor}-%%{_target_os}

* Wed Oct  2 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.9-8m)
- added %{_arch}-redhat-linux-c++

* Wed Sep  4 2002 Junichiro Kita <kita@momonga-linux.org>
- (1.9-7m)
- added %{_arch}-redhat-linux-g++

* Mon Jul 22 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.9-6m)
- BuildPreReq: libtool

* Sat Jul 13 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.9-5m)
- added %{_arch}-redhat-linux-gcc

* Sat May 25 2002 Tamotsu TAKAHASHI <arms405@jade.dti.ne.jp>
- (1.9-4k)
- added g++_2_95_3

* Tue May 14 2002 Tadataka Yoshikawa <yosshy@kondara.org>
ver up.

* Mon Apr 29 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.8-2k)

* Fri Apr 12 2002 Junichiro Kita <kita@kondara.org>
- (1.7-2k)
- ver up.

* Mon Apr  8 2002 Junichiro Kita <kita@kondara.org>
- (1.6-2k)
- ver up.

* Sun Apr  7 2002 Junichiro Kita <kita@kondara.org>
- (1.5-2k)
- ver up.

* Mon Apr  2 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (1.4-2k)
- ver up.

* Mon Apr  1 2002 Toru Hoshina <t@kondara.org>
- (1.3-4k)
- don't forget gcc_2_95_3

* Mon Apr  1 2002 Toru Hoshina <t@kondara.org>
- (1.3-2k)
- ver up.

* Thu Jan 3 2002 kitaj <kita@kitaj.no-ip.com>
- initial build
